Skip to content
PATCH /connector/{slug}

Path Parameters

slugstring
required·

Resource id

Request Body

categorystring
configRecord<string, any>
labelstring
curl -X PATCH 'https://api.elaichi.ai/connector/<slug>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"label":"your_label","category":"your_category","config":{}}'
const body = {
  "label": "your_label",
  "category": "your_category",
  "config": {}
};

const response = await fetch('https://api.elaichi.ai/connector/<slug>', {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/connector/<slug>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "label": "your_label",
    "category": "your_category",
    "config": {}
}

response = requests.patch(url, headers=headers, json=payload)
print(response.json())